Create Report Request

This endpoints creates a new report request for the specified reportType and reportVersion.

Max reporting window: For ITEM_PERFORMANCE v3, the date range between dataStartTime and dataEndTime must not exceed 2 years (730 days). Exceeding this limit will return a 400 error.

Row limit: There is no limit on the number of rows returned in the report.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
enum
required

Specifies the report type. For example, use ITEM for item reports.

string
required

Specifies the version of the report. For ITEM, supported values are v1 through v6. For ITEM_PERFORMANCE, supported values are v1 through v3. For all other reportType values, only v1 is supported.

Body Params

Request body

Request payload

rowFilters
array of objects

Row-level filters applied to the report output.

rowFilters
excludeColumns
array of strings

List of columns to exclude from the report.

excludeColumns
string

Start timestamp for the report data range. Use ISO 8601 format for the date (YYYY-MM-DDTHH:mm:ssZ). Required when reportType=ITEM_PERFORMANCE and reportVersion=v3. The date range from dataStartTime to dataEndTime must not exceed 2 years (730 days).

string

End timestamp for the report data range. Use ISO 8601 format for the date (YYYY-MM-DDTHH:mm:ssZ). Required when reportType=ITEM_PERFORMANCE and reportVersion=v3. Must be greater than or equal to dataStartTime.

string
enum

Specifies the date granularity for aggregating report data. Required when reportType=ITEM_PERFORMANCE and reportVersion=v3. Valid values are DAILY, WEEKLY, MONTHLY, or QUARTERLY. Ignored for all other report types and versions.

Allowed:
Headers
string
required

The access token retrieved in the Token API call

string

A unique ID to track the consumer request by channel. Use the Consumer Channel Type received during onboarding

string
required

A unique ID which identifies each API call and used to track and debug issues; use a random generated GUID for this ID

string
required

Walmart Service Name

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/problem+json